<div class="grid">

	<header class="row no-padding clearfix">
		<div class="col-2-3"><h2>Ägare</h2></div>
		<button class="col-1-3 new" ui-sref="user.company.holding.new({orgNr: orgNr})"><i class="fa fa-plus"></i><span class="icon-title">Lägg till ägare</span>
		</button>
	</header>


	<div class="row clearfix">
		<div svab-feedback-target="holding.hb.get"></div>
		<div svab-feedback-target="holding.hb.update"></div>
		<div svab-feedback-target="holding.hb.delete"></div>
	</div>

	<div ng-show="holdings.length > 0" class="row clearfix fake-table">
		<ul class="col-1 clearfix">
			<li class="col-1 fake-row-heading clearfix">
				<ul class="col-5-6">
					<li class="col-1-2 fake-heading">Namn</li>
					<li class="col-1-2 fake-heading">Andel i %</li>
				</ul>
				<ul class="col-1-6"></ul>
			</li>

			<li class="col-1 fake-row clearfix" ng-repeat="holding in holdings">

				<ul ng-hide="holding.editing" class="col-5-6 clearfix">
					<li ng-hide="holding.foreign" class="col-1-2"><span>  {{holding.ownerName}} - ({{holding.ownerId}})</span></li>
					<li ng-show="holding.foreign" class="col-1-2"><span>  {{holding.ownerName}} - (UTL)</span></li>
					<li class="col-1-2"><span>{{holding.ownershipInPercent}}</span></li>
				</ul>

				<ul ng-show="holding.editing" class="col-5-6 clearfix editing">

					<form name="holdingForm" novalidate class="clearfix">
						<li class="col-1-2 editable">
							<input type="text" name="ownerName" ng-model="holding.ownerName" placeholder="Namn" required/>

							<div ng-messages="holdingForm.ownerName.$error" ng-show="holdingForm.ownerName.$touched">
								<p class="form-feedback error" ng-message="required">Ange namn</p>
							</div>
						</li>
						<li class="col-1-1 editable">
							<input type="number" name="ownershipInPercent" ng-model="holding.ownershipInPercent" placeholder="Andel i %" required/>

							<div ng-messages="holdingForm.ownershipInPercent.$error" ng-show="holdingForm.ownershipInPercent.$touched">
								<p class="form-feedback error" ng-message="required">Ange andel i %</p>
							</div>
						</li>
					</form>
				</ul>

				<ul class="col-1-6 edit-this" ng-class="{editing: holding.editing}">

					<li class="col-1" ng-hide="holding.editing">
						<span class="edit" ng-click="edit(holding, holdingForm)">Redigera</span> | <span class="delete" ng-click="remove(holding)">Radera</span>
					</li>

					<li class="col-1" ng-show="holding.editing">
						<span class="update" ng-click="save(holding, holdingForm)">Spara</span> | <span class="cancel"
						                                                                                ng-click="undoEdit(holding, holdingForm)">Ångra</span>

					</li>

				</ul>
			</li>
		</ul>
	</div>
</div>